Bug 132310 - mount nfs volume and honor noquota option
mount nfs volume and honor noquota option
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 16:08 EDT by Jay Hilliard
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 06:14:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Hilliard 2004-09-10 16:08:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
quota reports:

quota: �c: error while getting quota from
fa:/panfs/fa/apps/Linux-i686-2.6 for 2146: Connection refused

I need to be able to mount this filesystem with "noquota" so it will
be skipped when I run quota.  Apparently the noquota option is
completely ignored.  The device I'm mounting is a NAS storage device
(panasus)

Version-Release number of selected component (if applicable):
util-linux-2.12a-6   autofs-4.1.3-17  quota-3.12-3

How reproducible:
Always

Steps to Reproduce:
1.Mount a panasas device
2.run quota
3.
    

Actual Results:  quota:  �: error while getting quota from
fa:/panfs/fa/apps/mozilla/Linux-i686-2.6 for 2146: Connection refused
quota:  �: error while getting quota from fa:/panfs/fa/rel/sysadm for
2146: Connection refused
quota:  �: error while getting quota from
fa:/panfs/fa/rel/extern-Linux/2.6 for 2146: Connection refused
quota:  �: error while getting quota from
fa:/panfs/fa/rel/disney-Linux/2.6 for 2146: Connection refused
quota:  �: error while getting quota from
fa:/panfs/fa/rel/sysadm/arch/Linux2.6 for 2146: Connection refused
quota:  �: error while getting quota from fa:/panfs/fa/rel/config for
2146: Connection refused
quota:  �: error while getting quota from
fa:/panfs/fa/apps/ns/Linux-i686-2.6 for 2146: Connection refused
quota:  �: error while getting quota from fa:/panfs/fa/apps/License
for 2146: Connection refused
quota:  �: error while getting quota from
fa:/panfs/fa/apps/codeweavers/Linux-i686-2.6 for 2146: Connection refused
Disk quotas for user jhilliar (uid 2146):
     Filesystem  blocks   quota   limit   grace   files   quota  
limit   grace
fashome-n1:/home
                 583084  819200  819200           14978  4294967295
4294967295
fasrel-n1:/rel/sw/Linux/2.6
                 241532  10485760 10485760            4511  4294967295
4294967295
fasrel-n1:/rel/sw
                 241532  10485760 10485760            4511  4294967295
4294967295
fasapps-n1:/apps/Rdist
                 241532  10485760 10485760            4511  4294967295
4294967295
beano:/export/sys
                3389150  6000000 6100000            2014       0       0


Expected Results:  NO ERRORS from the panfs server, just the expected
output:

Disk quotas for user jhilliar (uid 2146):
     Filesystem  blocks   quota   limit   grace   files   quota  
limit   grace
fashome-n1:/home
                 583084  819200  819200           14978  4294967295
4294967295
fasrel-n1:/rel/sw/Linux/2.6
                 241532  10485760 10485760            4511  4294967295
4294967295
fasrel-n1:/rel/sw
                 241532  10485760 10485760            4511  4294967295
4294967295
fasapps-n1:/apps/Rdist
                 241532  10485760 10485760            4511  4294967295
4294967295
beano:/export/sys
                3389150  6000000 6100000            2014       0       0


Additional info:
Comment 1 Steve Dickson 2004-12-04 10:17:23 EST
This acutally sound more like a permission issue than
an quota issue... I've updated the quota package in
FC3 which did take care of a number of bugs. Would it
be possible to yum-down the latest quota package to see
if that help the problem?

Note You need to log in before you can comment on or make changes to this bug.